## mingw-w64-python-jsonschema-4.22.0-3.src.tar.zst

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile --strip-extras docs/requirements.in
#
alabaster==0.7.16
    # via sphinx
anyascii==0.3.2
    # via sphinx-autoapi
astroid==3.1.0
    # via sphinx-autoapi
attrs==23.2.0
    # via
    #   jsonschema
    #   referencing
babel==2.14.0
    # via sphinx
beautifulsoup4==4.12.3
    # via furo
certifi==2024.2.2
    # via requests
charset-normalizer==3.3.2
    # via requests
docutils==0.21.2
    # via sphinx
furo==2024.4.27
    # via -r docs/requirements.in
idna==3.7
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.3
    # via
    #   sphinx
    #   sphinx-autoapi
file:.#egg=jsonschema
    # via -r docs/requirements.in
jsonschema-specifications==2023.12.1
    # via jsonschema
lxml==5.2.1
    # via
    #   -r docs/requirements.in
    #   sphinx-json-schema-spec
markupsafe==2.1.5
    # via jinja2
packaging==24.0
    # via sphinx
pyenchant==3.3.0rc1
    # via
    #   -r docs/requirements.in
    #   sphinxcontrib-spelling
pygments==2.17.2
    # via
    #   furo
    #   sphinx
pyyaml==6.0.1
    # via sphinx-autoapi
referencing==0.35.0
    # via
    #   jsonschema
    #   jsonschema-specifications
requests==2.31.0
    # via sphinx
rpds-py==0.18.0
    # via
    #   jsonschema
    #   referencing
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.5
    # via beautifulsoup4
sphinx==7.3.7
    # via
    #   -r docs/requirements.in
    #   furo
    #   sphinx-autoapi
    #   sphinx-autodoc-typehints
    #   sphinx-basic-ng
    #   sphinx-copybutton
    #   sphinx-json-schema-spec
    #   sphinxcontrib-spelling
    #   sphinxext-opengraph
sphinx-autoapi==3.0.0
    # via -r docs/requirements.in
sphinx-autodoc-typehints==2.1.0
    # via -r docs/requirements.in
sphinx-basic-ng==1.0.0b2
    # via furo
sphinx-copybutton==0.5.2
    # via -r docs/requirements.in
sphinx-json-schema-spec==2024.1.1
    # via -r docs/requirements.in
sphinxcontrib-applehelp==1.0.8
    # via sphinx
sphinxcontrib-devhelp==1.0.6
    # via sphinx
sphinxcontrib-htmlhelp==2.0.5
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.7
    # via sphinx
sphinxcontrib-serializinghtml==1.1.10
    # via sphinx
sphinxcontrib-spelling==8.0.0
    # via -r docs/requirements.in
sphinxext-opengraph==0.9.1
    # via -r docs/requirements.in
urllib3==2.2.1
    # via requests
